### DbMpoolFile::set_ftype |

`

###

    #include <db_cxx.h>

    int
    DbMpoolFile::set(int ftype);

    int
    DbMpoolFile::get_ftype(int *ftypep);

### Description: DbMpoolFile::set_ftype

The DbMpoolFile::set_ftype method specifies a file type for the purposes of input or output processing of the file's pages as they are read from or written to, the backing filesystem store.

The DbMpoolFile::set_ftype method configures a file in the memory pool, not only operations performed using the specified DbMpoolFile handle.

The DbMpoolFile::set_ftype method may not be called after the DbMpoolFile::open method is called. If the file is already open in the memory pool when DbMpoolFile::open is called, the information specified to DbMpoolFile::set_ftype will replace the existing information.

The DbMpoolFile::set_ftype method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

ftype
  The ftype parameter sets the file's type for the purposes of input and output processing. The ftype must be the same as a ftype parameter previously specified to the DbEnv::memp_register method. (See the DbEnv::memp_register documentation for more information.)

### Description: DbMpoolFile::get_ftype

The DbMpoolFile::get_ftype method returns the file type.

The DbMpoolFile::get_ftype method may be called at any time during the life of the application.

The DbMpoolFile::get_ftype method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

ftypep
  The DbMpoolFile::get_ftype method returns the file type in ftypep.

### Class

DbEnv, DbMpoolFile

### See Also

Memory Pools and Related Methods`

Copyright (c) 1996,2007 Oracle. All rights reserved.